Bug 658 - package build error
: package build error
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/quanta)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-22 21:14 by
Modified: 2003-09-24 12:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-22 21:14:29
quanta-1:2.0.1-alt3 package build fails at build stage.
The error is:
In file included from actioneditdlg.moc.cpp:16:
actioneditdlg.h:8:28: actioneditdlgs.h: No such file or directory
actioneditdlg.h:18: parse error before `{\'
actioneditdlg.h:19: non-member function `className ()\' cannot have `const\' method qualifier
actioneditdlg.h:19: parse error before `protected\'
actioneditdlg.h:24: destructors must be member functions
actioneditdlg.h:26: parse error before `public\'
actioneditdlg.h:28: virtual outside class declaration
actioneditdlg.h:29: virtual outside class declaration
actioneditdlg.h:30: virtual outside class declaration
actioneditdlg.h: In function `void accept ()\':
actioneditdlg.h:30: `action\' undeclared (first use this function)
actioneditdlg.h:30: (Each undeclared identifier is reported only once for each function it appears in.)
actioneditdlg.h:30: `saveAction\' undeclared (first use this function)
actioneditdlg.h:30: `ActionEditDlgS\' undeclared (first use this function)
actioneditdlg.h:30: parse error before `::\'
actioneditdlg.h: At top level:
actioneditdlg.h:36: `void saveAction (TagAction *)\' used prior to declaration
actioneditdlg.h:38: parse error before `}\'
actioneditdlg.moc.cpp:23: invalid use of undefined type `class ActionEditDlg\'
actioneditdlg.h:18: forward declaration of `class ActionEditDlg\'
actioneditdlg.moc.cpp:27: structure `ActionEditDlg\' not yet defined
actioneditdlg.moc.cpp:27: assignment (not initialization) in declaration
actioneditdlg.moc.cpp:30: invalid use of undefined type `class ActionEditDlg\'
actioneditdlg.h:18: forward declaration of `class ActionEditDlg\'
actioneditdlg.moc.cpp: In method `void ActionEditDlg::initMetaObject ()\':
actioneditdlg.moc.cpp:31: `metaObj\' undeclared (first use this function)
actioneditdlg.moc.cpp:33: parse error before `::\'
actioneditdlg.moc.cpp:36: confused by earlier errors, bailing out

---

---

------- Comment #1 From 2002-03-13 21:25:07 -------
fixed quanta-1:2.0.1-alt4
------- Comment #2 From 2002-03-13 21:25:07 -------
fixed quanta-1:2.0.1-alt4
------- Comment #3 From 2003-09-24 12:30:39 -------
reassign 2 zerg@altlinux.org